DELETE /queue/{guid}

Remove a queue job from the system

Remove a queue job from the system
KeyTypeExampleDescription
guidrequiredstring
'a23575f49d0af385314c1f02280163374297e018a692e5e...'
Unique identifier of the queue job to delete
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
forceoptionalboolean
false
Force deletion even if job is running
reasonoptionalstring
"Scope check failed"
Reason for deletion
{
  "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc"
}
{
  "error": "ERROR"
}
StatusError CodeDescription
404ERRORQueue job not found
409ERRORCannot delete running job without force flag
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
queue_removeRequired scope: queue_remove

Back to Queue Return to the Queue category to view other endpoints All API Categories Browse all available API categories